Jobs
Update a job
Renames a job, edits its description, or moves it between projects. `state` is derived and cannot be set.
Renames a job, edits its description, or moves it between projects. state is derived and
cannot be set.
Authorization
api_key jobs:writeAuthorizationBearer <token>
An atk_-prefixed API key, created under Settings → API keys.
In: header
Scope: jobs:write
Path Parameters
job_id*string
Job id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "created_at": "2019-08-24T14:15:22Z", "description": "string", "failure_reason": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_activity": "string", "planning": true, "primary_session_id": "5fb6eee6-42c6-4a4c-8ea0-dd0a7a8d08e5", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "state": "string", "title": "string", "updated_at": "2019-08-24T14:15:22Z"}